- Qt 6.7
- Qt NFC
- C++ Classes
- QNdefNfcUriRecord
- Qt 6.7.3 Reference Documentation

# QNdefNfcUriRecord Class

The QNdefNfcUriRecord class provides an NFC RTD-URI. More...

Header: | #include <QNdefNfcUriRecord>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Nfc) target_link_libraries(mytarget PRIVATE Qt6::Nfc)
qmake: | QT += nfc
Inherits: | QNdefRecord

- List of all members, including inherited members

## Public Functions

| QNdefNfcUriRecord()
| QNdefNfcUriRecord(const QNdefRecord &other)
void | setUri(const QUrl &uri)
QUrl | uri() const

## Detailed Description

RTD-URI encapsulates a URI.

## Member Function Documentation

### QNdefNfcUriRecord::QNdefNfcUriRecord()

Constructs an empty NFC uri record.

### QNdefNfcUriRecord::QNdefNfcUriRecord(const QNdefRecord &other)

Constructs a new NFC uri record that is a copy of other.

### void QNdefNfcUriRecord::setUri(const QUrl &uri)

Sets the URI of this URI record to uri.

See also uri().

### QUrl QNdefNfcUriRecord::uri() const

Returns the URI of this URI record.

See also setUri().